Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Types | Public Member Functions | Protected Member Functions | List of all members
LatBuilder::Task::Extend< LAT, COMPRESS, FIGURE > Class Template Reference

Search task that extends the number of points of a lattice. More...

`#include <Extend.h>`

Inherits LatBuilder::Task::Search< LAT >.

## Public Types
typedef LatBuilder::Storage < LAT, COMPRESS > | Storage
typedef CBCSelector< LAT, COMPRESS, FIGURE >::CBC | CBC
typedef CBC::FigureOfMerit | FigureOfMerit
typedef Storage::SizeParam | SizeParam
Public Types inherited from LatBuilder::Task::Search< LAT >
typedef boost::signals2::signal< void(const Search &)> | OnLatticeSelected

## Public Member Functions
| Extend (Storage storage, LatDef< LAT > baseLat, FigureOfMerit figure)
| Extend (Extend &&other)
virtual void | execute ()
| Executes the search task. More...
const Storage & | storage () const
| Returns a pointer to the storage configuration instance.
const FigureOfMerit & | figureOfMerit () const
| Returns the figure of merit.
const LatDef< LAT > & | baseLat () const
| Returns the base lattice on which to extend.
const MeritSeq::LatSeqOverCBC < CBC > & | latSeqOverCBC () const
| Returns the internal lattice sequence.
const CBC & | cbc () const
| Returns the internal CBC instance.
Public Member Functions inherited from LatBuilder::Task::Search< LAT >
| Search (Dimension dimension)
| Search (Search &&other)
Dimension | dimension () const
| Returns the dimension.
const MeritFilterList< LAT > & | filters () const
| Returns the filters of merit transformations.
MeritFilterList< LAT > & | filters ()
| Returns the filters of merit transformations. More...
const LatDef< LAT > & | bestLattice () const
| Returns the best lattice found by the search task.
Real | bestMeritValue () const
| Returns the best merit value found by the search task.
const Functor::MinElement< Real > & | minElement () const
MinObserver & | minObserver ()
| Returns the minimum-element observer.
const MinObserver & | minObserver () const
OnLatticeSelected & | onLatticeSelected ()
| Lattice-selected signal. More...
const OnLatticeSelected & | onLatticeSelected () const
virtual void | reset ()
| Initializes the best lattice and merit value.

## Protected Member Functions
virtual void | format (std::ostream &os) const
Protected Member Functions inherited from LatBuilder::Task::Search< LAT >
void | selectBestLattice (const LatDef< LAT > &lattice, Real merit)
| Selects a new best lattice and emits an OnLatticeSelected signal.

## Detailed Description

### template<LatType LAT, Compress COMPRESS, class FIGURE>
class LatBuilder::Task::Extend< LAT, COMPRESS, FIGURE >

Search task that extends the number of points of a lattice.

Template Parameters

  LAT,COMPRESS | Type of storage.
  FIGURE | Type of figure of merit.

## Member Function Documentation

template<LatType LAT, Compress COMPRESS, class FIGURE >

virtual void LatBuilder::Task::Extend< LAT, COMPRESS, FIGURE >::execute | ( |  | ) |
| inline virtual

Executes the search task.

The best lattice and merit value are set in the process.

Implements LatBuilder::Task::Search< LAT >.

References LatBuilder::Task::Extend< LAT, COMPRESS, FIGURE >::baseLat(), LatBuilder::Task::Search< LAT >::dimension(), LatBuilder::Task::Search< LAT >::filters(), LatBuilder::Task::Extend< LAT, COMPRESS, FIGURE >::latSeqOverCBC(), LatBuilder::Task::Search< LAT >::selectBestLattice(), and LatBuilder::Task::Extend< LAT, COMPRESS, FIGURE >::storage().

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/Task/Extend.h